Bug 754610 - Can't build upstream corosync master branch in fedora (need newer libqb)
Summary: Can't build upstream corosync master branch in fedora (need newer libqb)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libqb
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Angus Salkeld
QA Contact: Fedora Extras Quality Assurance
URL: http://libqb.org/wiki/index.php/Releases
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-17 01:16 UTC by Angus Salkeld
Modified: 2014-01-13 01:40 UTC (History)
2 users (show)

Fixed In Version: libqb-0.7.0-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-25 02:10:45 UTC
Type: ---


Attachments (Terms of Use)

Description Angus Salkeld 2011-11-17 01:16:25 UTC
Description of problem:

Can't build upstream corosync master branch in fedora (need newer libqb)


Version-Release number of selected component (if applicable):
need 0.7.0 (have 0.6.0 in fedora)

How reproducible:
100%

Steps to Reproduce:
1.git clone git://github.com/corosync/corosync.git
2. ./autogen.sh && ./configure
3. make
  
Actual results:

<fabbione> mainconfig.o: In function `corosync_main_config_set':
 /home/fabbione/work/cluster/corosync/corosync/exec/mainconfig.c:355: undefined reference to `qb_log_facility2int'


Expected results:
make succeeds

Additional info:

Comment 1 Fedora Update System 2011-11-17 01:56:43 UTC
libqb-0.7.0-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libqb-0.7.0-1.fc14

Comment 2 Fedora Update System 2011-11-17 01:58:05 UTC
libqb-0.7.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libqb-0.7.0-1.fc15

Comment 3 Fedora Update System 2011-11-17 02:00:28 UTC
libqb-0.7.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libqb-0.7.0-1.fc16

Comment 4 Fedora Update System 2011-11-17 23:43:30 UTC
Package libqb-0.7.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libqb-0.7.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16060/libqb-0.7.0-1.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-11-25 02:10:45 UTC
libqb-0.7.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-11-25 02:15:29 UTC
libqb-0.7.0-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2011-11-25 02:15:53 UTC
libqb-0.7.0-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.